diff -Nru cairo-dock-plug-ins-3.3.2/debian/changelog cairo-dock-plug-ins-3.3.2/debian/changelog
--- cairo-dock-plug-ins-3.3.2/debian/changelog	2014-07-08 22:44:57.000000000 +0200
+++ cairo-dock-plug-ins-3.3.2/debian/changelog	2014-07-14 12:10:07.000000000 +0200
@@ -1,3 +1,13 @@
+cairo-dock-plug-ins (3.3.2-3.3) unstable; urgency=medium
+
+  * Non-maintainer upload.
+  * Add debian/patches/bzr3083-3084_Support_UPower0.99.patch (Closes: #748929)
+    - Borrowed from the ubuntu package, supposedly originally from upstream.
+    - Massage the patch to apply without first applying
+      bzr3057_GMenu_new_apps_show_dialog_after_installation.patch
+
+ -- Andreas Henriksson <andreas@fatal.se>  Mon, 14 Jul 2014 12:01:25 +0200
+
 cairo-dock-plug-ins (3.3.2-3.2) unstable; urgency=medium
 
   * Non-maintainer upload.
diff -Nru cairo-dock-plug-ins-3.3.2/debian/patches/bzr3083-3084_Support_UPower0.99.patch cairo-dock-plug-ins-3.3.2/debian/patches/bzr3083-3084_Support_UPower0.99.patch
--- cairo-dock-plug-ins-3.3.2/debian/patches/bzr3083-3084_Support_UPower0.99.patch	1970-01-01 01:00:00.000000000 +0100
+++ cairo-dock-plug-ins-3.3.2/debian/patches/bzr3083-3084_Support_UPower0.99.patch	2014-07-14 12:02:13.000000000 +0200
@@ -0,0 +1,348 @@
+revno: 3100
+committer: Matthieu Baerts <matttbe@gmail.com>
+branch nick: cairo-dock-plug-ins
+timestamp: Sun 2014-06-15 12:22:40 +0200
+message: PowerManager: UPower 0.99+: 'changed' signal has been replaced by 'notify' signal
+
+revno: 3084
+committer: Matthieu Baerts <matttbe@gmail.com>
+branch nick: cairo-dock-plug-ins
+timestamp: Fri 2014-05-23 01:26:57 +0200
+message: PowerManager: removed suspend/hibernate features
+These features no longer work on recent systems and they are no longer
+supported with recent versions of UPower (0.99+).
+We should support SystemD but suspend/hibernate features are already managed
+by Logout applet (and the system when pressing the Shutdown button) and this
+applet can be hidden most of the time (or not used when there are no battery):
+I think users use Logout applet instead. (and now they should use it :-) )
+
+revno: 3083
+committer: Matthieu Baerts <matttbe@gmail.com>
+branch nick: cairo-dock-plug-ins
+timestamp: Tue 2014-05-20 21:08:19 +0200
+message: Logout: UPower 0.99+ no longer supports logout features: suspend/hibernate
+If UPower >=0.90 is used, we can't compile Logout applet with UPower because
+some functions are no longer available
+
+=== modified file 'CMakeLists.txt'
+Index: cairo-dock-plug-ins/CMakeLists.txt
+===================================================================
+--- cairo-dock-plug-ins.orig/CMakeLists.txt
++++ cairo-dock-plug-ins/CMakeLists.txt
+@@ -152,6 +152,14 @@ pkg_check_modules (GLIB glib-2.0)
+ set (shared_filesdatadir "${pluginsdatadir}/shared-files")
+ add_subdirectory (shared-files)
+ 
++
++
++################################################################################
++#          STATIC LIBS AND DEPENDENCES USED BY MORE THAN ONE PLUG-IN           #
++################################################################################
++
++
++
+ ############# STATIC LIBRARIES ################
+ message (STATUS "> Static Libraries:")
+ 
+@@ -337,6 +345,30 @@ elseif (INDICATOR_APPLET_FOUND)
+ 	endif()
+ endif()
+ 
++############# UPOWER #####################
++message (STATUS "> UPower:")
++enable_if_not_defined (enable-upower-support)
++if (enable-upower-support)
++	pkg_check_modules (UPOWER upower-glib)  # useful for Powermanager too.
++endif()
++if (UPOWER_FOUND)
++	set (with_upower_support yes)
++	STRING (REGEX REPLACE "\\..*" "" UPOWER_MAJOR "${UPOWER_VERSION}") # 2.28.3 => 2
++	STRING (REGEX REPLACE "[0-9]*\\.([^ ]+)" "\\1" UPOWER_MINOR "${UPOWER_VERSION}")  # 2.28.3 => 2.28
++	STRING (REGEX REPLACE "\\.[0-9]*" "" UPOWER_MINOR "${UPOWER_MINOR}") # 2.28 => 28
++	if (${UPOWER_MAJOR} GREATER 0 OR ${UPOWER_MINOR} GREATER 89)
++		message (STATUS "   Your version of UPower no longer supports suspend/hibernate features")
++		set (with_upower_support "yes (0.99+)")
++	else()
++		set (UPOWER_SUPPORTS_SUSPEND_HIBERNATE 1)
++	endif()
++else()
++	set (with_upower_support no)
++	message (STATUS "Could not find upower-glib; Logout and PowerManager plugin won't be built with UPower support.")
++	message (WARNING "This module is required to compile LogOut and PowerManager applet with UPower support: upower-glib")
++	set (MODULES_MISSING "${MODULES_MISSING} upower-glib")
++endif()
++
+ ############# DISTRIBUTION #################
+ message (STATUS "> Distribution:")
+ # We try to detect if the user is on Ubuntu to know which bus we have to use...
+@@ -387,6 +419,14 @@ if (EXISTS ${DEBIAN_VERSION})
+ 	message (STATUS "  DISTRO_ID: ${DISTRO_ID}, DISTRO_RELEASE: ${DISTRO_RELEASE}")
+ endif()
+ 
++
++
++################################################################################
++#                                   PLUG-INS                                   #
++################################################################################
++
++
++
+ ############# SHARED LIBRARIES ###########
+ message (STATUS "> Shared Libraries:")
+ 
+@@ -969,18 +1009,6 @@ endif()
+ 
+ ############# LOGOUT #################
+ message (STATUS "> Logout:")
+-enable_if_not_defined (enable-upower-support)
+-if (enable-upower-support)
+-	pkg_check_modules (UPOWER upower-glib)  # useful for Powermanager too.
+-endif()
+-if (UPOWER_FOUND)
+-	set (with_upower_support yes)
+-else()
+-	set (with_upower_support no)
+-	message (STATUS "Could not find upower-glib; Logout and PowerManager plugin won't be built with UPower support.")
+-	message (WARNING "This module is required to compile LogOut and PowerManager applet with UPower support: upower-glib")
+-	set (MODULES_MISSING "${MODULES_MISSING} upower-glib")
+-endif()
+ set (GETTEXT_LOGOUT ${GETTEXT_PLUGINS})
+ set (VERSION_LOGOUT "2.0.3")
+ set (PACKAGE_LOGOUT "cd-logout")
+Index: cairo-dock-plug-ins/logout/src/CMakeLists.txt
+===================================================================
+--- cairo-dock-plug-ins.orig/logout/src/CMakeLists.txt
++++ cairo-dock-plug-ins/logout/src/CMakeLists.txt
+@@ -20,22 +20,30 @@ add_definitions (-DMY_APPLET_VERSION="${
+ add_definitions (-DMY_APPLET_GETTEXT_DOMAIN="${GETTEXT_LOGOUT}")
+ add_definitions (-DMY_APPLET_DOCK_VERSION="${dock_version}")
+ add_definitions (-DMY_APPLET_ICON_FILE="icon.svg")
+-if (${UPOWER_FOUND})
++
++
++if (UPOWER_SUPPORTS_SUSPEND_HIBERNATE)
+ 	add_definitions (-DCD_UPOWER_AVAILABLE="1")
+-endif()
+ 
++	include_directories (
++		${UPOWER_INCLUDE_DIRS}
++		${PACKAGE_INCLUDE_DIRS})
++
++	link_directories (
++		${UPOWER_LIBRARY_DIRS}
++		${PACKAGE_LIBRARY_DIRS})
++
++	target_link_libraries (${PACKAGE_LOGOUT}
++		${UPOWER_LIBRARIES}
++		${PACKAGE_LIBRARIES})
++else()
++	include_directories (${PACKAGE_INCLUDE_DIRS})
+ 
+-include_directories (
+-	${UPOWER_INCLUDE_DIRS}
+-	${PACKAGE_INCLUDE_DIRS})
+-
+-link_directories (
+-	${UPOWER_LIBRARY_DIRS}
+-	${PACKAGE_LIBRARY_DIRS})
+-
+-target_link_libraries (${PACKAGE_LOGOUT}
+-	${UPOWER_LIBRARIES}
+-	${PACKAGE_LIBRARIES})
++	link_directories (${PACKAGE_LIBRARY_DIRS})
++
++	target_link_libraries (${PACKAGE_LOGOUT}
++		${PACKAGE_LIBRARIES})
++endif()
+ 
+ ########### install files ###############
+ 
+Index: cairo-dock-plug-ins/powermanager/src/CMakeLists.txt
+===================================================================
+--- cairo-dock-plug-ins.orig/powermanager/src/CMakeLists.txt
++++ cairo-dock-plug-ins/powermanager/src/CMakeLists.txt
+@@ -25,7 +25,10 @@ add_definitions (-DMY_APPLET_GETTEXT_DOM
+ add_definitions (-DMY_APPLET_DOCK_VERSION="${dock_version}")
+ add_definitions (-DMY_APPLET_ICON_FILE="icon.png")
+ if (${UPOWER_FOUND})
+-	add_definitions (-DCD_UPOWER_AVAILABLE="1")
++	add_definitions (-DCD_UPOWER_AVAILABLE=1)
++	if (NOT UPOWER_SUPPORTS_SUSPEND_HIBERNATE)
++		add_definitions (-DCD_UPOWER_0_99=1)
++	endif()
+ endif()
+ 
+ include_directories (
+Index: cairo-dock-plug-ins/powermanager/src/powermanager-menu-functions.c
+===================================================================
+--- cairo-dock-plug-ins.orig/powermanager/src/powermanager-menu-functions.c
++++ cairo-dock-plug-ins/powermanager/src/powermanager-menu-functions.c
+@@ -90,19 +90,5 @@ CD_APPLET_ON_BUILD_MENU_BEGIN
+ 	
+ 	if (bAddSeparator)
+ 		CD_APPLET_ADD_SEPARATOR_IN_MENU (CD_APPLET_MY_MENU);
+-	
+-	// Power actions (Hibernate/Suspend)
+-	#ifdef CD_UPOWER_AVAILABLE  // if Upower is available, we should be able to suspend; if not, then it's probably just a problem with consolekit, which should be fixed by the user; so show the items to give the user a hint about the problem.
+-	pMenuItem = CD_APPLET_ADD_IN_MENU (D_("Hibernate"), cd_power_hibernate, CD_APPLET_MY_MENU);
+-	if (! cd_power_can_hibernate ())
+-		gtk_widget_set_sensitive (pMenuItem, FALSE);
+-	pMenuItem = CD_APPLET_ADD_IN_MENU (D_("Suspend"), cd_power_suspend, CD_APPLET_MY_MENU);
+-	if (! cd_power_can_suspend ())
+-		gtk_widget_set_sensitive (pMenuItem, FALSE);
+-	#else
+-	if (cd_power_can_hibernate ())
+-		CD_APPLET_ADD_IN_MENU (D_("Hibernate"), cd_power_hibernate, CD_APPLET_MY_MENU);
+-	if (cd_power_can_suspend ())
+-		CD_APPLET_ADD_IN_MENU (D_("Suspend"), cd_power_suspend, CD_APPLET_MY_MENU);
+-	#endif
++
+ CD_APPLET_ON_BUILD_MENU_END
+Index: cairo-dock-plug-ins/powermanager/src/powermanager-struct.h
+===================================================================
+--- cairo-dock-plug-ins.orig/powermanager/src/powermanager-struct.h
++++ cairo-dock-plug-ins/powermanager/src/powermanager-struct.h
+@@ -22,10 +22,6 @@
+ 
+ #include <cairo-dock.h>
+ #ifdef CD_UPOWER_AVAILABLE
+-/* to access suspend/resume functionality on Upower 0.9
+- * even if we use first logind, we only use logind via DBus
+- */
+-#define UPOWER_ENABLE_DEPRECATED
+ #include <upower.h>
+ #endif
+ 
+Index: cairo-dock-plug-ins/powermanager/src/powermanager-upower.c
+===================================================================
+--- cairo-dock-plug-ins.orig/powermanager/src/powermanager-upower.c
++++ cairo-dock-plug-ins/powermanager/src/powermanager-upower.c
+@@ -48,7 +48,11 @@ static void _cd_upower_connect_async (CD
+ 	UpClient *pUPowerClient = up_client_new ();
+ 	
+ 	// get the list of devices.
+-	if (pUPowerClient == NULL || ! up_client_enumerate_devices_sync (pUPowerClient, NULL, NULL))
++	if (pUPowerClient == NULL
++	#ifndef CD_UPOWER_0_99 // no longer available with UPower 0.99+
++		|| ! up_client_enumerate_devices_sync (pUPowerClient, NULL, NULL)
++	#endif
++		)
+ 	{	
+ 		cd_warning ("couldn't get devices from UPower daemon");
+ 		if (pUPowerClient)
+@@ -182,7 +186,11 @@ static void _on_device_removed (UpClient
+ 	CD_APPLET_LEAVE ();
+ }
+ 
++#ifdef CD_UPOWER_0_99 // one more param
++static void _on_device_changed (G_GNUC_UNUSED UpDevice *pDevice, G_GNUC_UNUSED GParamSpec *pSpec, G_GNUC_UNUSED gpointer data)
++#else
+ static void _on_device_changed (G_GNUC_UNUSED UpDevice *pDevice, G_GNUC_UNUSED gpointer data)
++#endif
+ {
+ 	CD_APPLET_ENTER;
+ 	cd_debug ("battery properties changed");
+@@ -251,6 +259,7 @@ static gboolean _cd_upower_update_state
+ 			if (myData.pTask != NULL // only the first time
+ 				|| myData.pBatteryDeviceList == NULL // or if it's a new device
+ 				|| g_list_find (myData.pBatteryDeviceList, pDevice) == NULL)
++				// or compare the up_device_get_object_path (pDevice) ?
+ 			{
+ 				/* watch for any change. A priori, no need to watch the
+ 				 * "onBattery" signal on the client, since we can deduce this
+@@ -259,7 +268,11 @@ static gboolean _cd_upower_update_state
+ 				 * find a battery device, it will stay here forever, so we don't
+ 				 * need to watch for the destruction/creation of a battery device.
+ 				 */
+-				iSignalID = g_signal_connect (pDevice, "changed", G_CALLBACK (_on_device_changed), NULL);  
++				#ifdef CD_UPOWER_0_99 // Now called notify
++				iSignalID = g_signal_connect (pDevice, "notify", G_CALLBACK (_on_device_changed), NULL);
++				#else
++				iSignalID = g_signal_connect (pDevice, "changed", G_CALLBACK (_on_device_changed), NULL);
++				#endif
+ 				myData.pSignalIDList = g_list_append (myData.pSignalIDList, GINT_TO_POINTER (iSignalID));
+ 			}
+ 
+@@ -364,38 +377,6 @@ void cd_upower_stop (void)
+ 	}
+ }
+ 
+-gboolean cd_power_hibernate (void)
+-{
+-	if (myData.pUPowerClient != NULL)
+-		return up_client_hibernate_sync (myData.pUPowerClient, NULL, NULL);
+-	else
+-		return FALSE;
+-}
+-
+-gboolean cd_power_suspend (void)
+-{
+-	if (myData.pUPowerClient != NULL)
+-		return up_client_suspend_sync (myData.pUPowerClient, NULL, NULL);
+-	else
+-		return FALSE;
+-}
+-
+-gboolean cd_power_can_hibernate (void)
+-{
+-	if (myData.pUPowerClient != NULL)
+-		return up_client_get_can_hibernate (myData.pUPowerClient);
+-	else
+-		return FALSE;
+-}
+-
+-gboolean cd_power_can_suspend (void)
+-{
+-	if (myData.pUPowerClient != NULL)
+-		return up_client_get_can_suspend (myData.pUPowerClient);
+-	else
+-		return FALSE;
+-}
+-
+ #else // code without libupower
+ 
+ void cd_powermanager_start (void)
+@@ -408,24 +389,4 @@ void cd_upower_stop (void)
+ 
+ }
+ 
+-gboolean cd_power_hibernate (void)
+-{
+-	return FALSE;
+-}
+-
+-gboolean cd_power_suspend (void)
+-{
+-	return FALSE;
+-}
+-
+-gboolean cd_power_can_hibernate (void)
+-{
+-	return FALSE;
+-}
+-
+-gboolean cd_power_can_suspend (void)
+-{
+-	return FALSE;
+-}
+-
+ #endif
+Index: cairo-dock-plug-ins/powermanager/src/powermanager-upower.h
+===================================================================
+--- cairo-dock-plug-ins.orig/powermanager/src/powermanager-upower.h
++++ cairo-dock-plug-ins/powermanager/src/powermanager-upower.h
+@@ -27,14 +27,4 @@ void cd_powermanager_start (void);
+ 
+ void cd_upower_stop (void);
+ 
+-
+-gboolean cd_power_hibernate (void);
+-
+-gboolean cd_power_suspend (void);
+-
+-gboolean cd_power_can_hibernate (void);
+-
+-gboolean cd_power_can_suspend (void);
+-
+-
+ #endif
diff -Nru cairo-dock-plug-ins-3.3.2/debian/patches/series cairo-dock-plug-ins-3.3.2/debian/patches/series
--- cairo-dock-plug-ins-3.3.2/debian/patches/series	2014-04-26 17:55:04.000000000 +0200
+++ cairo-dock-plug-ins-3.3.2/debian/patches/series	2014-07-14 11:59:37.000000000 +0200
@@ -1,3 +1,4 @@
 0001-Fix-typo-about-SystemMonitor-Mail-dnd2share-Stack-GV.patch
 0001-Fix-MATCH-as-FreeBSD.patch
 ruby-vendor-dir.patch
+bzr3083-3084_Support_UPower0.99.patch
